import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/base/brand/` + url, ...arg)

/**
 * 品牌Api接口管理器
 *
 * @author Luck
 * @date  2024/07/23 16:20
 **/
export default {
	// 获取品牌分页
	page(data) {
		return request('page', data, 'get')
	},
	// 获取品牌列表
	sysBrandList(data) {
		return request('list', data, 'get')
	},
	// 提交品牌表单 edit为true时为编辑，默认为新增
	sysBrandSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除品牌
	sysBrandDelete(data) {
		return request('delete', data)
	},
	// 获取品牌详情
	sysBrandDetail(data) {
		return request('detail', data, 'get')
	}
}
